Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message
Class LiteralMessageBuilder

    java.lang.Object
      cryptix.message.LiteralMessageBuilder

public class LiteralMessageBuilder
extends java.lang.Object

A class for building a LiteralMessage.

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`protected` | `LiteralMessageBuilder(LiteralMessageBuilderSpi builderSpi, java.security.Provider provider, java.lang.String format)` Create a new LiteralMessageBuilder object containing the given SPI object.

Method Summary
`Message` | `build()` Returns the built literal message
`java.lang.String` | `getFormat()` Returns the name of the format of this object.
`static LiteralMessageBuilder` | `getInstance(java.lang.String format)` Returns an LiteralMessageBuilder that implements the given format.
`static LiteralMessageBuilder` | `getInstance(java.lang.String format, java.security.Provider provider)` Returns an LiteralMessageBuilder from the given provider that implements the given format.
`static LiteralMessageBuilder` | `getInstance(java.lang.String format, java.lang.String provider)` Returns an LiteralMessageBuilder from the given provider that implements the given format.
`java.security.Provider` | `getProvider()` Returns the provider of this object.
`void` | `init(byte[] contents)` Initializes this builder with the given binary data.
`void` | `init(byte[] contents, java.security.SecureRandom sr)` Initializes this builder with the given binary data and SecureRandom object.
`void` | `init(java.lang.String contents)` Initializes this builder with the given text data.
`void` | `init(java.lang.String contents, java.security.SecureRandom sr)` Initializes this builder with the given text data and SecureRandom object.
`void` | `setAttribute(java.lang.String name, java.lang.Object attr)` Set a format specific attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiteralMessageBuilder

    protected LiteralMessageBuilder(LiteralMessageBuilderSpi builderSpi,
                                    java.security.Provider provider,
                                    java.lang.String format)

  Create a new LiteralMessageBuilder object containing the given SPI object.

Method Detail

### getInstance

    public static LiteralMessageBuilder getInstance(java.lang.String format)
                                             throws java.security.NoSuchAlgorithmException

  Returns an LiteralMessageBuilder that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`

### getInstance

    public static LiteralMessageBuilder getInstance(java.lang.String format,
                                                    java.lang.String provider)
                                             throws java.security.NoSuchAlgorithmException,
                                                    java.security.NoSuchProviderException

  Returns an LiteralMessageBuilder from the given provider that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`

### getInstance

    public static LiteralMessageBuilder getInstance(java.lang.String format,
                                                    java.security.Provider provider)
                                             throws java.security.NoSuchAlgorithmException

  Returns an LiteralMessageBuilder from the given provider that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`

### getProvider

    public final java.security.Provider getProvider()

  Returns the provider of this object.

### getFormat

    public final java.lang.String getFormat()

  Returns the name of the format of this object.

### init

    public final void init(byte[] contents)
                    throws java.lang.IllegalStateException,
                           MessageException

  Initializes this builder with the given binary data.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### init

    public final void init(byte[] contents,
                           java.security.SecureRandom sr)
                    throws java.lang.IllegalStateException,
                           MessageException

  Initializes this builder with the given binary data and SecureRandom object.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### init

    public final void init(java.lang.String contents)
                    throws java.lang.IllegalStateException,
                           MessageException

  Initializes this builder with the given text data.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### init

    public final void init(java.lang.String contents,
                           java.security.SecureRandom sr)
                    throws java.lang.IllegalStateException,
                           MessageException

  Initializes this builder with the given text data and SecureRandom object.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### setAttribute

    public final void setAttribute(java.lang.String name,
                                   java.lang.Object attr)
                            throws java.lang.IllegalStateException,
                                   java.lang.IllegalArgumentException,
                                   MessageException

  Set a format specific attribute.

  Parameters:
    `name` - a name identifying the attribute
    `attr` - the attribute itself
  Throws:
    `java.lang.IllegalStateException` - if this message has not been initialized before.
    `java.lang.IllegalArgumentException` - if the attribute is not supported or the given object does not have the right type.
    `MessageException` - on a variety of format specific problems.

### build

    public final Message build()
                        throws java.lang.IllegalStateException,
                               MessageException

  Returns the built literal message

  Throws:
    `InvalidStateException` - if this message has not been initialized properly, or if multiple calls to this build() method are made.
    `MessageException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.